org.apache.cassandra.auth

## Interface PasswordAuthenticator.CredentialsCacheMBean

- All Superinterfaces:
    AuthCacheMBean
  Enclosing class:
    PasswordAuthenticator

      public static interface PasswordAuthenticator.CredentialsCacheMBean
      extends AuthCacheMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `invalidateCredentials(java.lang.String roleName)`

    - ### Methods inherited from interface org.apache.cassandra.auth.AuthCacheMBean

      `getMaxEntries, getUpdateInterval, getValidity, invalidate, setMaxEntries, setUpdateInterval, setValidity`

- - ### Method Detail

    - #### invalidateCredentials

          void invalidateCredentials(java.lang.String roleName)

Copyright © 2018 The Apache Software Foundation